MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026986Open CASCADE[OCCT] OCCT:Configurationpublic2015-12-11 22:022017-09-02 21:50
Reporterabv 
Assigned Toski 
PrioritynormalSeverityminor 
StatusclosedResolutionwon't fix 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0026986: Configuration -- use link-time optimization
DescriptionUse of global optimization compiler option together with link-time code generation allows VC++ 14 compiler to produce considerably more compact code. This can partially compensate increase of binaries due to use of templates in OCCT 7.0 as compared to 6.9.1, see 0026936.

Some stats on sizes of bineries built with VC++ 14:

version | all dlls |
--------------------
6.9.1 | 69 737 |
master | 84 808 |
fix | 73 809 |
TagsNo tags attached.
Test case number
Attached Filesxlsx file icon LTSG.xlsx (9,361 bytes) 2017-09-02 21:43

- Relationships
parent of 0029071newkgv Open CASCADE VC10 compiler warnings 'unreachable code' when building with link-time code generation 
related to 0022951closedapn Community Configuration - Link-time code generation for OCCT solution 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0049612)
abv (manager)
2015-12-26 14:48

The problem with growth of the binaries size on VC++ 14 has been resolved by fix for 0026551 (current size of DLLs is ~ 67 MB), thus the issue is moved to 7.1.0. It might be still useful to try link-time optimization, especially in Android and iOS builds where size of binaries is critical.
(0070156)
abv (manager)
2017-09-02 21:50

Experiments show that link time code generation does not bring any noticeable performance gain for execution of OCCT binaries, while it considerably slows down building (mostly linking, especially re-linking). There is minor reduction of size of binaries with Visual Studio 2017 compiler, but it does not seem to be important. Hence, I am closing the issue.

See attached Excel file LTCG.xls for details. The measuirements were made on workstation with i7-4790 CPU, SSD as system hard drive (where Visual Studio and other programs are installed) and HDD as data drive (where OCCT is located and built), running Windows 10 64-bit.

- Issue History
Date Modified Username Field Change
2015-12-11 22:02 abv New Issue
2015-12-11 22:02 abv Assigned To => bugmaster
2015-12-26 14:48 abv Note Added: 0049612
2015-12-26 14:48 abv Target Version 7.0.0 => 7.1.0
2016-11-03 17:13 abv Target Version 7.1.0 => 7.2.0
2017-04-20 10:25 bugmaster Assigned To bugmaster => ski
2017-07-27 11:15 abv Target Version 7.2.0 => 7.4.0
2017-08-30 15:36 abv Relationship added related to 0022951
2017-09-01 06:51 abv Relationship added parent of 0029071
2017-09-02 21:43 abv File Added: LTSG.xlsx
2017-09-02 21:50 abv Note Added: 0070156
2017-09-02 21:50 abv Status new => closed
2017-09-02 21:50 abv Resolution open => won't fix
2017-09-02 21:50 abv Target Version 7.4.0 =>


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker